classification
Title: VSTS Windows-PR: internal error
Type: Stage: resolved
Components: Build, Tests Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: steve.dower, terry.reedy, vstinner
Priority: normal Keywords:

Created on 2018-06-06 11:12 by vstinner, last changed 2018-09-21 20:33 by steve.dower. This issue is now closed.

Messages (9)
msg318812 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-06 11:12
On my PR https://github.com/python/cpython/pull/7447 "VSTS: Windows-PR" failed: "Windows-PR_20180606.13 failed".

https://python.visualstudio.com/cpython/_build?buildId=6469

"The request was failed due to an internal service error. Please try again."
msg318813 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-06 11:15
By the way, it seems like tests were not run on the Linux-PR job:

https://python.visualstudio.com/cpython/_build?buildId=6467&tab=summary&_a=summary

Linux-PR / Build Linux-PR_20180606.13: "No test runs are available for this build."

"Retained state Build not retained"

What does it mean? Is it a bug?
msg318818 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-06-06 13:15
I'd already started discussing this with the VSTS team, it seems to be a bug on their side.

The "build not retained" state just means it'll get cleaned up after seven days. People with login access can mark a build to be kept permanently, which changes that state.
msg318823 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-06 13:50
> The "build not retained" state just means it'll get cleaned up after seven days.

Oh ok. But I'm confused, I don't see where are the logs. I clicked on Timeline, Code coverage, Tests: all are empty. In the logs ZIP, I cannot see any command related to Python (like building the C code or run tests). The build is failed but didn't run anything?
msg318825 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-06-06 14:15
Right. This build failed to start, which is why there's only one section on the left hand side (normally you'll see all the build steps there, and clicking on them will show their logs).

I think it'll be an internal race condition. I'll pass back whatever info I can as I find out more.
msg320049 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-20 10:09
Steve: hi! Any update on the Microsoft side?
msg320083 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-06-20 15:37
It appears to be a known issue when a PR is retriggered (due to new commits) early enough in the CI run. I haven't got any info about when it'll be fixed.
msg322979 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-08-02 16:25
A quick follow-up commit can happen if one uses the web editor to edit more than one file.

Editing a news file in Misc/News/next should not trigger any of the normal tests, only a blurb check if there is such.
msg323018 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-08-03 04:35
> A quick follow-up commit can happen if one uses the web editor to edit more than one file

I hadn't thought of that one. Hopefully they'll just fix their bug though :)

I spent a bit of time at the EuroPython sprints making the changes to quickly finish the build if nothing relevant has changed, but ironically it was so backed up with testing doc changes that I couldn't check it! Hopefully sometime next week I can finish that off.
History
Date User Action Args
2018-09-21 20:33:31steve.dowersetstatus: open -> closed
resolution: fixed
stage: resolved
2018-08-03 04:35:48steve.dowersetmessages: + msg323018
2018-08-02 16:25:22terry.reedysetnosy: + terry.reedy
messages: + msg322979
2018-06-20 15:37:34steve.dowersetmessages: + msg320083
2018-06-20 15:36:32steve.dowerlinkissue33915 superseder
2018-06-20 10:09:05vstinnersetmessages: + msg320049
2018-06-06 14:15:44steve.dowersetmessages: + msg318825
2018-06-06 13:50:05vstinnersetmessages: + msg318823
2018-06-06 13:15:23steve.dowersetmessages: + msg318818
2018-06-06 11:15:26vstinnersetmessages: + msg318813
2018-06-06 11:12:53vstinnersetassignee: steve.dower
2018-06-06 11:12:44vstinnercreate